Welcome to mirror list, hosted at ThFree Co, Russian Federation.

git.kernel.org/pub/scm/git/git.git - Unnamed repository; edit this file 'description' to name the repository.
summaryrefslogtreecommitdiff
path: root/t
diff options
context:
space:
mode:
authorJunio C Hamano <gitster@pobox.com>2009-09-13 12:30:53 +0400
committerJunio C Hamano <gitster@pobox.com>2009-09-13 12:30:53 +0400
commit5b590d783a461c63fa803d1c21b57bc79c0207f7 (patch)
tree3ad36990856314a6956226c0daf182f6df6762d5 /t
parent0c3d3ac352427738e7c4393c0a959e0e698a0c7a (diff)
parent7fb6bcff2dece2ff9fbc5ebfe526d9b2a7e764c4 (diff)
Merge branch 'maint'
* maint: GIT 1.6.4.3 svn: properly escape arguments for authors-prog http.c: remove verification of remote packs grep: accept relative paths outside current working directory grep: fix exit status if external_grep() punts Conflicts: GIT-VERSION-GEN RelNotes
Diffstat (limited to 't')
-rwxr-xr-xt/t7002-grep.sh17
-rwxr-xr-xt/t9138-git-svn-authors-prog.sh14
2 files changed, 31 insertions, 0 deletions
diff --git a/t/t7002-grep.sh b/t/t7002-grep.sh
index b4709e28b5..ae56a36eac 100755
--- a/t/t7002-grep.sh
+++ b/t/t7002-grep.sh
@@ -328,4 +328,21 @@ test_expect_success 'grep -p -B5' '
test_cmp expected actual
'
+test_expect_success 'grep from a subdirectory to search wider area (1)' '
+ mkdir -p s &&
+ (
+ cd s && git grep "x x x" ..
+ )
+'
+
+test_expect_success 'grep from a subdirectory to search wider area (2)' '
+ mkdir -p s &&
+ (
+ cd s || exit 1
+ ( git grep xxyyzz .. >out ; echo $? >status )
+ ! test -s out &&
+ test 1 = $(cat status)
+ )
+'
+
test_done
diff --git a/t/t9138-git-svn-authors-prog.sh b/t/t9138-git-svn-authors-prog.sh
index a4b00f2a3f..83cc5fc9d1 100755
--- a/t/t9138-git-svn-authors-prog.sh
+++ b/t/t9138-git-svn-authors-prog.sh
@@ -66,4 +66,18 @@ test_expect_success 'authors-file overrode authors-prog' '
)
'
+git --git-dir=x/.git config --unset svn.authorsfile
+git --git-dir=x/.git config --unset svn.authorsprog
+
+test_expect_success 'authors-prog handled special characters in username' '
+ svn mkdir -m bad --username "xyz; touch evil" "$svnrepo"/bad &&
+ (
+ cd x &&
+ git svn --authors-prog=../svn-authors-prog fetch &&
+ git rev-list -1 --pretty=raw refs/remotes/git-svn |
+ grep "^author xyz; touch evil <xyz; touch evil@example\.com> " &&
+ ! test -f evil
+ )
+'
+
test_done